Subject: Error in build for Debian - emacs25-25.2+1

From: "Leo Silva (a.k.a kirotawa)" <[email-masked]>
Date: Thu, 21 Sep 2017 16:56:25 -0300

Hi,

I'm trying to build emacs25-25.2+1 and facing this issue in build time
[1]. I'm not familiar with lisp but any clue in why it's happen would
be helpful. I'm running this through a schroot.

[1]
Test package-test-update-archives-async condition:
    (error "Error retrieving: http://0.0.0.0:8000/archive-contents
(error connection-failed \"failed with code 111
\" :host \"0.0.0.0\" :service 8000)")
   FAILED  17/20  package-test-update-archives-async
Package refresh done
Package menu: Operation started [Installing 1]
Setting `package-selected-packages' temporarily since "emacs -q" would
overwrite customizations
Generating autoloads for simple-single.el...
Generating autoloads for simple-single.el...done

Checking /tmp/pkg-test-user-dir-27763TKN/simple-single-1.3...
Compiling /tmp/pkg-test-user-dir-27763TKN/simple-single-1.3/simple-single-autoloads.el...
Compiling /tmp/pkg-test-user-dir-27763TKN/simple-single-1.3/simple-single-pkg.el...
Compiling /tmp/pkg-test-user-dir-27763TKN/simple-single-1.3/simple-single.el...
Done (Total of 1 file compiled, 2 skipped)
Package menu: Operation finished [Installed 1]
   passed  18/20  package-test-update-listing
   passed  19/20  package-x-test-upload-buffer
   passed  20/20  package-x-test-upload-new-version

Ran 20 tests, 19 results as expected, 1 unexpected (2017-09-21 16:32:37-0300)

1 unexpected results:
   FAILED  package-test-update-archives-async

ERROR: package-test.log